Contents

hide
<<previous   next>>

Bug 1537 :

Status: Obsolete

geopsy

General information

--FATAL ERROR-

Segmentation fault Signal

2010-11-29 12:51:47.787

main,layerPainter1,layerPainter2,layerPainter3,layerPainter4

Current thread: main thread

QGpCoreTools::CoreApplicationPrivate::backTrace()
QGpCoreTools::CoreApplicationPrivate::bugInfo(QGpCoreTools::Message::Severity, QString const&)
QGpCoreTools::CoreApplicationPrivate::reportBugNow(QGpCoreTools::Message::Severity, char const*)
QGpCoreTools::CoreApplicationPrivate::osSignal(int)
/lib64/libc.so.6
QGpCoreTools::ParallelLoop::waitFinished()
ToolFactory::exec(GeopsyCore::SubSignalPool*, GeopsyGui::ToolInterface*, int, int&, char**)
modeTool(int, char**, QString)


geopsy

---- thread main
---- thread layerPainter1
---- thread layerPainter2
---- thread layerPainter3
---- thread layerPainter4
---- thread main
---- thread layerPainter1
---- thread layerPainter2
---- thread layerPainter3
---- thread layerPainter4

Developer comments (common to all duplicates if any)

Still no comments.

Systems and versions

Linux
  Qt                  4.7.1
  QGpCoreTools        1.18.0-snapshot-20101119 from geopsypack-2.1.0-snapshot-20101119	(built on 201011191741)
  GeopsyCore          3.3.0-snapshot-20101119 from geopsypack-2.1.0-snapshot-20101119	(built on 201011191741)
  GeopsySLink         1.0.0-snapshot-20101119 from geopsypack-2.1.0-snapshot-20101119	(built on 201011191741)
  QGpGuiTools         1.10.0-snapshot-20101119 from geopsypack-2.1.0-snapshot-20101119	(built on 201011191741)
  SciFigs             2.3.0-snapshot-20101119 from geopsypack-2.1.0-snapshot-20101119	(built on 201011191741)
  GeopsyGui           2.8.0-snapshot-20101119 from geopsypack-2.1.0-snapshot-20101119	(built on 201011191741)
  GeopsySLinkGui      1.0.0-snapshot-20101119 from geopsypack-2.1.0-snapshot-20101119	(built on 201011191741)
  geopsy              2.7.0-snapshot-20101119 from geopsypack-2.1.0-snapshot-20101119	(built on 201011191741)
  DinverCore          0.9.0-snapshot-20101119 from geopsypack-2.1.0-snapshot-20101119	(built on 201011191741)
  QGpCoreWave         0.8.0-snapshot-20101119 from geopsypack-2.1.0-snapshot-20101119	(built on 201011191741)
  QGpCompatibility    0.3.0-snapshot-20101119 from geopsypack-2.1.0-snapshot-20101119	(built on 201011191741)
  DinverDCCore        1.5.0-snapshot-20101119 from geopsypack-2.1.0-snapshot-20101119	(built on 201011191741)
  ArrayCore           1.2.0-snapshot-20101119 from geopsypack-2.1.0-snapshot-20101119	(built on 201011191741)
  DinverGui           0.2.0-snapshot-20101119 from geopsypack-2.1.0-snapshot-20101119	(built on 201011191741)
  QGpGuiWave          0.6.0-snapshot-20101119 from geopsypack-2.1.0-snapshot-20101119	(built on 201011191741)
  ArrayGui            0.1.0-snapshot-20101119 from geopsypack-2.1.0-snapshot-20101119	(built on 201011191741)
  geopsyarray         2.2.0-snapshot-20101119 from geopsypack-2.1.0-snapshot-20101119	(built on 201011191741)
  MonoStation         1.5.0-snapshot-20101119 from geopsypack-2.1.0-snapshot-20101119	(built on 201011191741)
  geopsyhv            2.6.0-snapshot-20101119 from geopsypack-2.1.0-snapshot-20101119	(built on 201011191741)
  structureratios     0.5.0-snapshot-20101119 from geopsypack-2.1.0-snapshot-20101119	(built on 201011191741)

User comments

15372010-11-29 12:38:58I'm not sure I did everything correctly for command line use this time... Geopsy is definitely reading the database and the group that I indicated this time, but I still think it does not interpret the parameter file correctly - I got the following screen output before the crash: Error no root found searching kmax Error no root found searching kmax ----WARNING--- FK parameters---- kmin cannot be null or negative. kmin as given in the parameter file is neither null nor negative...
15372010-12-15 15:37:51I am still trying to run geopsyarry HRFK in command line modus, and still it just produces crashes.

User reports

17452010-11-29 12:38:58
17642010-12-15 15:37:51